Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200504-19 ] MPlayer: Two heap overflow vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4836
Location: Gothenburg, Sweden

PostPosted: Wed Apr 20, 2005 8:12 am    Post subject: [ GLSA 200504-19 ] MPlayer: Two heap overflow vulnerabilitie Reply with quote

Gentoo Linux Security Advisory

Title: MPlayer: Two heap overflow vulnerabilities (GLSA 200504-19)
Severity: normal
Exploitable: remote
Date: April 20, 2005
Updated: May 22, 2006
Bug(s): #89277
ID: 200504-19

Synopsis


Two vulnerabilities have been found in MPlayer which could lead to the
remote execution of arbitrary code.


Background


MPlayer is a media player capable of handling multiple multimedia file
formats.


Affected Packages

Package: media-video/mplayer
Vulnerable: < 1.0_pre6-r4
Unaffected: >= 1.0_pre6-r4
Architectures: All supported architectures


Description


Heap overflows have been found in the code handling RealMedia RTSP and
Microsoft Media Services streams over TCP (MMST).


Impact


By setting up a malicious server and enticing a user to use its
streaming data, a remote attacker could possibly execute arbitrary code
on the client computer with the permissions of the user running
MPlayer.


Workaround


There is no known workaround at this time.


Resolution


All MPlayer users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=media-video/mplayer-1.0_pre6-r4"


References

MPlayer News: Real RTSP heap overflow
MPlayer News: MMST heap overflow
CVE-2005-1195


Last edited by GLSA on Thu Mar 13, 2014 4:19 am; edited 4 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum